package Common.UI.Menus_2023.MainMenuBar;
import Visual_DVM_2021.UI.Interface.*;
public interface MainWindow {
    void Show();
    void ShowProject();
    void ShowNoProject();
    ProjectWindow getProjectWindow();
    CallbackWindow getCallbackWindow();
    CredentialsWindow getCredentialsWindow();
    TestsWindow getTestsWindow();
    TestingWindow getTestingWindow();
    //-
    void ShowUpdatesIcon();
    void FocusProject();
    void FocusCallback();
    void FocusTesting();

    void ShowTestingTab();
    void HideTestingTab();
    //-
    void ShowCredentials();
    void ShowCheckedTestsCount();
}
